#include <SDL.h>
#include <SDL_mixer.h>
#include <unistd.h>
#include <sys/fcntl.h>

int main(int argc, char **argv)
{
	Mix_Music *mus;
	SDL_RWops *rw;
	int i = 0, fd;

	int audio_rate = 22050;
	Uint16 audio_format = AUDIO_S16; /* 16-bit stereo */
	int audio_channels = 2; int audio_buffers = 4096;

	SDL_Init(SDL_INIT_AUDIO);
	if (Mix_OpenAudio(audio_rate, audio_format, audio_channels, audio_buffers)) {
		fprintf(stderr,"Can not test\n");
		return 1;
	}
	for (i = 0; i < 128; i++) {
		rw = SDL_RWFromFile("test.mod", "rb");
		mus = Mix_LoadMUS_RW(rw);
#ifdef _SDL_MOD_BUG
		if (Mix_GetMusicType(mus) == MUS_MOD)
			SDL_RWclose(rw);
#endif
		Mix_HaltMusic();
		Mix_FreeMusic(mus);
	}
	fd = open("test.mod", O_RDONLY);
	close(fd);
	fprintf(stderr, "fd = %d\n", fd);
	return 0;
}
